petsc-3.4.2 2013-07-02

# SNESLineSearchPostCheck

Prepares the line search for being applied.

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESLineSearchPostCheck(SNESLineSearch linesearch,Vec X,Vec Y,Vec W,PetscBool *changed_Y,PetscBool *changed_W)

Logically Collective on SNESLineSearch

### Input Parameters

| linesearch | - The linesearch context
| X | - The last solution
| Y | - The step direction
| W | - The updated solution, W = X + lambda*Y for some lambda

### Output Parameters

| changed_Y | - Indicator if the direction Y has been changed.
| changed_W | - Indicator if the new candidate solution W has been changed.

### Keywords

SNESLineSearch, Create

### See Also

SNESLineSearchPreCheck()

Level:Intermediate
Location:src/snes/linesearch/interface/linesearch.c
Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages